<?php

/**
 * Define a user rank.
 * @author valentin carruesco
 * @category Core
 * @license copyright
 */
class Rank extends Entity
{
	public $id,$label,$description;
	protected $fields =
	array(
		'id' => 'key',
		'label' => 'string',
		'description' => 'longstring'
		);

	function setId($id){
		$this->id = $id;
	}
	
	function getId(){
		return $this->id;
	}

	function getLabel(){
		return $this->label;
	}

	function setLabel($label){
		$this->label = $label;
	}

	function getDescription(){
		return $this->description;
	}

	function setDescription($description){
		$this->description = $description;
	}
}
